Home | All Classes | Grouped Classes | Index | Search

# CL_Vector::CL_Vector

Constructor that initializes a vector

    	CL_Vector(
    		float x = 0.0, float y = 0.0, float z = 0.0, float w = 1.0);

    	CL_Vector(
    		const CL_Vector& other);

Parameters:

x
  Initial x coordinate of vector.
y
  Initial y coordinate of vector.
z
  Initial z coordinate of vector.
w
  Initial w coordinate of vector.
other
  vector to copy construct from.

See also:

CL_Vector

Questions or comments, write to the ClanLib mailing list.